-- Code your testbench here
LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.STD_LOGIC_ARITH.ALL;
USE IEEE.STD_LOGIC_UNSIGNED.ALL;
   use IEEE.NUMERIC_STD.all;

ENTITY TESTBENCH IS
END TESTBENCH;

ARCHITECTURE TB OF TESTBENCH IS
SIGNAL CLKG : STD_LOGIC;
SIGNAL TRIGG : STD_LOGIC;
SIGNAL EINT : STD_LOGIC_VECTOR(7 DOWNTO 0);
SIGNAL STOP : BOOLEAN;

COMPONENT BLOC_COMM_CNA
PORT(
		CLK : IN STD_LOGIC;
		TRIGG : IN STD_LOGIC;
		E : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
		A : OUT STD_LOGIC;
		B : OUT STD_LOGIC;
		WR : OUT STD_LOGIC;
		CS : OUT STD_LOGIC;
		LDAC : OUT STD_LOGIC;
		CLR : OUT STD_LOGIC;
		D : OUT STD_LOGIC_VECTOR(7 DOWNTO 0));
END COMPONENT;

BEGIN
	UUT : BLOC_COMM_CNA PORT MAP(CLK => CLKG, TRIGG => TRIGG, E => EINT);
    
	CLKGEN : PROCESS
    BEGIN
    	WHILE NOT STOP LOOP
        	CLKG <= '0';
            WAIT FOR 2.5 NS;
            CLKG <= '1';
            WAIT FOR 2.5 NS;
        END LOOP;
        WAIT;
    END PROCESS CLKGEN;
    
    TEST : PROCESS
    BEGIN
    	TRIGG <= '0';
        WAIT FOR 10 NS;
        TRIGG <= '1';
		EINT <= "01011100";
        WAIT FOR 12 NS;
        TRIGG <= '0';
        WAIT FOR 100 NS;
    	STOP <= TRUE;
        WAIT;
    END PROCESS TEST;
    
    
END TB;